astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Exoplanet Orbit Database (`astroquery.exoplanet_orbit_database`) »
- ExoplanetOrbitDatabaseClass

# ExoplanetOrbitDatabaseClass

class astroquery.exoplanet_orbit_database.ExoplanetOrbitDatabaseClass

  Bases: `object`

  Exoplanet Orbit Database querying object. Use the `get_table` or `query_planet` methods to get information about exoplanets via the Exoplanet Orbit Database.

  Attributes Summary

  `param_units` |

  Methods Summary

  `get_table`(*[, cache, show_progress, table_path]) | Download (and optionally cache) the Exoplanet Orbit Database planets table.
  `query_planet`(planet_name, *[, table_path]) | Get table of exoplanet properties.

  Attributes Documentation

  param_units

  Methods Documentation

  get_table(*, cache=True, show_progress=True, table_path=None)

    Download (and optionally cache) the Exoplanet Orbit Database planets table.

    Parameters:
      cache bool (optional)

        Cache exoplanet table to local astropy cache? Default is `True`.

      show_progress bool (optional)

        Show progress of exoplanet table download (if no cached copy is available). Default is `True`.

      table_path str (optional)

        Path to a local table file. Default `None` will trigger a download of the table from the internet.

    Returns:
      table `QTable`

        Table of exoplanet properties.

  query_planet(planet_name, *, table_path=None)

    Get table of exoplanet properties.

    Parameters:
      planet_name str

        Name of planet

      table_path str (optional)

        Path to a local table file. Default `None` will trigger a download of the table from the internet.

    Returns:
      table `QTable`

        Table of one exoplanet’s properties.